## dxtool 0.1

=== Makefile ===

CFLAGS = 
LDFLAGS = 

SOURCES= dxtool.c
OBJECTS = ${SOURCES:.c=.o}


OUT=dxtool

LIBS = 

all: ${OBJECTS}
	cc $(OBJECTS) -o $(OUT) $(LDFLAGS) $(LIBS)

clean:
	rm -rf $(OBJECTS) $(OUT)

=== debian/changelog ===
dxtool (0.1-5) unstable; urgency=medium

  * Update man page to use correct option-dash

 -- Wookey <wookey@debian.org>  Sun, 15 Oct 2023 17:30:40 +0100

dxtool (0.1-4) unstable; urgency=medium

  * Fix cross-build failure (Closes: #939780)

 -- Wookey <wookey@debian.org>  Sun, 08 Sep 2019 19:49:36 +0100

dxtool (0.1-3) unstable; urgency=medium

  * Minor packaging updates

 -- Wookey <wookey@debian.org>  Thu, 29 Mar 2018 01:02:01 +0100

dxtool (0.1-2) unstable; urgency=medium

  * Remove leftover debug code in patch
  * Remove DistoX2 mentions as support is incomplete

 -- Wookey <wookey@debian.org>  Fri, 23 Sep 2016 23:15:53 +0100

dxtool (0.1-1) unstable; urgency=low

  * Initial release (Closes: #838611)
  * Fix glaring bugs
  * Add basic distoX2 support

 -- Wookey <wookey@debian.org>  Wed, 08 Jul 2015 22:24:50 +0100

=== debian/control ===
Source: dxtool
Section: comm
Priority: optional
Maintainer: Wookey <wookey@debian.org>
Build-Depends: debhelper (>= 13), debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: http://jaskinie.jaszczur.org/index_en.html
Rules-Requires-Root: no

Package: dxtool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DistoX data download utility
 dxtool is a minimal implementation of the DistoX protocol
 which will download measurements from the device over a
 bluetooth serial (SPP) connection.
 .
 The DistoX is a cave survey instrument designed by Beat
 Heeb.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -W -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@
